#ifdef GL_ES
precision mediump float;
varying mediump vec4 v_texCoord;
mediump vec4 texel;
#else
varying vec4 v_texCoord;
vec4 texel;
#endif

uniform vec2 u_size;
uniform vec4 u_color;
uniform sampler2D u_texture;

const float fade = 1.0;

void main()
{
	texel = texture2D(u_texture, v_texCoord.xy);
	float alpha = min(clamp(v_texCoord.z * fade, 0.0, 1.0), 
		clamp(v_texCoord.w * fade, 0.0, 1.0));
	alpha = min(alpha, clamp((u_size.x - v_texCoord.z) * fade, 0.0, 1.0));
	alpha = min(alpha, clamp((u_size.y - v_texCoord.w) * fade, 0.0, 1.0));
	texel = alpha * texel;
    gl_FragColor = u_color * texel;
}
