attribute vec2 a_position;
attribute vec2 a_texCoord;

uniform    mat4 u_MVPMatrix;

#ifdef GL_ES
varying mediump vec4 v_texCoord;
#else
varying vec4 v_texCoord;
#endif

uniform float u_angle;

void main()
{
    gl_Position = u_MVPMatrix * vec4(a_position.x, a_position.y, 0.0, 1.0);

	mat2 uvRotation = mat2(
		cos(u_angle), sin(u_angle),
		-sin(u_angle), cos(u_angle)
	);

	v_texCoord.xy = uvRotation * a_texCoord;
	v_texCoord.zw = a_position.xy;
}
