attribute vec4 a_position;
attribute vec2 a_texCoord;

uniform	mat4 u_MVPMatrix;
uniform	float u_terrainBottom;
uniform float u_textureScale;

#ifdef GL_ES
varying mediump vec2 v_texCoord;
varying lowp float v_depth;
#else
varying vec2 v_texCoord;
varying float v_depth;
#endif

float depthMultiplier(float y)
{
	return 1.0 + clamp(0.02 * y, -0.5, 0.0);
}

void main()
{
    float addY = max((a_position.y - u_terrainBottom) * a_position.z, 0.0);
	
	float y = a_position.y - addY;
    gl_Position = u_MVPMatrix * vec4(a_position.x, y, 0.0, 1.0);
    v_texCoord.x = a_texCoord.x;
	v_texCoord.y = a_texCoord.y - addY / u_textureScale;
	v_depth = depthMultiplier(y);
}
