attribute vec4 a_position;
attribute vec2 a_texCoord;

uniform    mat4 u_MVPMatrix;
uniform   float u_heightOffset;
uniform   float u_textureScale;
uniform   float u_textureWidthScale;

#ifdef GL_ES
varying mediump vec2 v_texCoord;
varying mediump float v_depth;
#else
varying vec2 v_texCoord;
varying float v_depth;
#endif

float interpolate(float t, float v1, float v2)
{
  return v1 + t*(v2-v1);
}

float depthMultiplier(float y)
{
	return 1.0 + clamp(0.02 * y, -0.5, 0.0);
}


void main()
{
    float addY = interpolate(a_position.z, 0.5 * u_textureScale, -0.5 * u_textureScale);
	
	float y = a_position.y + addY + u_heightOffset;
	gl_Position = u_MVPMatrix * vec4(a_position.x, y, 0.0, 1.0);
    v_texCoord.x = a_texCoord.x*u_textureWidthScale/u_textureScale;
	v_texCoord.y = a_position.z;
	v_depth = depthMultiplier(y);
}
