attribute vec4 a_position;
attribute vec2 a_texCoord;

uniform    mat4 u_MVPMatrix;

#ifdef GL_ES
varying mediump vec2 v_texCoord;
varying lowp float v_depth;
#else
varying vec2 v_texCoord;
varying float v_depth;
#endif

float depthMultiplier(float y)
{
	return 1.0 + clamp(0.02 * y, -0.5, 0.0);
}

void main()
{
    gl_Position = u_MVPMatrix * vec4(a_position.x, a_position.y, 0.0, 1.0);
    v_texCoord = a_texCoord;
	v_depth = depthMultiplier(a_position.y);
}
