#ifdef GL_ES
precision mediump float;
varying mediump vec2 v_texCoord;
#else
varying vec2 v_texCoord;
#endif

uniform vec2 u_box_focus_pos;
uniform vec2 u_box_focus_size;

const float DARK_INTENSITY = 0.6;

void main()
{
	float dx = abs(u_box_focus_pos[0] - v_texCoord[0]);
	float dy = abs(u_box_focus_pos[1] - v_texCoord[1]);
	
	float intensity_x = clamp(0.1*(dx - u_box_focus_size[0]), 0.0, DARK_INTENSITY);
	float intensity_y = clamp(0.1*(dy - u_box_focus_size[1]), 0.0, DARK_INTENSITY);
	float intensity = max(intensity_x, intensity_y);
	
	gl_FragColor[0] = 0.0;
	gl_FragColor[1] = 0.0;
	gl_FragColor[2] = 0.0;
	gl_FragColor[3] = intensity;
}
