#ifdef GL_ES
precision mediump float;
varying mediump vec2 v_texCoord;
#else
varying vec2 v_texCoord;
#endif

uniform vec2 u_circle_focus_pos;
uniform float u_circle_focus_size;

const float DARK_INTENSITY = 0.6;

void main()
{
	float dx = u_circle_focus_pos[0] - v_texCoord[0];
	float dy = u_circle_focus_pos[1] - v_texCoord[1];
	float distanceSq = dx*dx + dy*dy;
	
	float intensity = clamp(0.01*distanceSq/u_circle_focus_size, 0.0, DARK_INTENSITY);
	
	gl_FragColor[0] = 0.0;
	gl_FragColor[1] = 0.0;
	gl_FragColor[2] = 0.0;
	gl_FragColor[3] = intensity;
}
